Subject: Re: PCI VPD size

From: Stephen Hemminger <[email-masked]>
Date: Fri, 24 Oct 2008 14:24:23 -0700

On Fri, 24 Oct 2008 14:18:38 -0700
Jesse Barnes <[email-masked]> wrote:

> On Friday, October 24, 2008 12:50 pm Stephen Hemminger wrote:
> > Why did you choose to limit VPD access by using PCI quirks:
> >  
> > http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h
> >=99cb233d60cbe644203f19938c729ea2bb004d70
> >
> > Rather than controlling size in the device driver which is what my
> > patches (which seem to have been ignored) did:
> >   http://marc.info/?l=linux-netdev&m=122393195716363&w=2
> >
> > The problem with the quirk scheme is that it means putting more
> > per device settings in a location farther away in the source code
> > than the underlying device driver.
> 
> The last status I received on that was a comment from Jeff about assuming the 
> maximum size for the VPD space.  That's the whole reason we have the quirks: 
> on many devices accessing beyond the end of VPD space can cause a device hang.  
> And since that space is available from a sysfs file we need to be extra 
> careful.
> 
> Other than that, your patches looked fine, I was just waiting for you to 
> address that last comment.
> 

The max size of vpd issue was addressed in last round (I thought).
I'll respin against 2.6.28-rc1